Subject: Re: [bug#38630] Software Heritage (swh): Fix API change, causing repeatedly submitting archives

From: Björn Höfling <[email-masked]>
Date: Tue, 17 Dec 2019 23:32:40 +0100

On Tue, 17 Dec 2019 17:41:04 +0100
Ludovic Courtès <[email-masked]> wrote:

> > I have not communicated with SWH about that, especially I have not
> > asked SWH why they broke the API without updating the version
> > number.  
> 
> Yeah, that’s weird, I’ve pinged them on IRC.
> 
> It seems that the removal was intentional as part of
> <https://forge.softwareheritage.org/D2167>, but it wasn’t clear
> whether the API breakage should have happened.  This led them to open
> a new task: <https://forge.softwareheritage.org/T2158>.  We should
> keep an eye on it.

I will be frequently linting and see what's happening :-)

[..]

> In the meantime, your patch looks like the right move, so you can
> push it.

Thanks for your review and further information, pushed as

356a79becc4061d158c68718ad169abac1ab672f

Closing this ticket.

Björn